--- old/usr/src/uts/sun4u/montecarlo/Makefile.targ	2013-12-14 21:35:02.883446691 -0500
+++ new/usr/src/uts/sun4u/montecarlo/Makefile.targ	2013-12-14 21:35:02.889071409 -0500
@@ -1,9 +1,9 @@
+#
 # CDDL HEADER START
 #
 # The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
 #
 # You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 # or http://www.opensolaris.org/os/licensing.
@@ -18,12 +18,75 @@
 #
 # CDDL HEADER END
 #
-# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
+#
+#	Common targets for sun4u MonteCarlo implementation specific modules.
 #
+#
+# Platform targets
+#
+$(ROOT_MONTECARLO_DIR): $(ROOT_PLAT_DIR)
+	-$(INS.dir)
+
+.KEEP_STATE:
+
+#
+# Rules for implementation subdirectories.
+#
+$(ROOT_MONTECARLO_MOD_DIR): $(ROOT_MONTECARLO_DIR)
+	-$(INS.dir)
+
+$(ROOT_MONTECARLO_DACF_DIR_32): $(ROOT_MONTECARLO_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_MONTECARLO_DACF_DIR_64): $(ROOT_MONTECARLO_DACF_DIR_32)
+	-$(INS.dir)
+
+$(ROOT_MONTECARLO_DRV_DIR_32): $(ROOT_MONTECARLO_MOD_DIR)
+	-$(INS.dir)
 
-UTSTREE=$(UTSBASE)
+$(ROOT_MONTECARLO_DRV_DIR_64): $(ROOT_MONTECARLO_DRV_DIR_32)
+	-$(INS.dir)
 
-include $(UTSBASE)/sun4u/montecarlo/Makefile.targ.shared
+$(ROOT_MONTECARLO_MISC_DIR_32): $(ROOT_MONTECARLO_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_MONTECARLO_MISC_DIR_64): $(ROOT_MONTECARLO_MISC_DIR_32)
+	-$(INS.dir)
+
+$(USR_MONTECARLO_DIR): $(USR_PLAT_DIR)
+	-$(INS.dir)
+
+$(USR_MONTECARLO_INC_DIR): $(USR_MONTECARLO_DIR)
+	-$(INS.slink4)
+
+$(USR_MONTECARLO_SBIN_DIR): $(USR_MONTECARLO_DIR)
+	-$(INS.slink5)
+
+$(USR_MONTECARLO_LIB_DIR): $(USR_MONTECARLO_DIR)
+	-$(INS.dir)
+
+$(USR_MONTECARLO_ISYS_DIR): $(USR_MONTECARLO_INC_DIR)
+	-$(INS.dir)
+
+$(ROOT_MONTECARLO_MOD_DIR)/%: $(OBJS_DIR)/% $(ROOT_MONTECARLO_MOD_DIR) FRC
+	$(INS.file)
+
+$(ROOT_MONTECARLO_MISC_DIR)/%: $(OBJS_DIR)/% $(ROOT_MONTECARLO_MISC_DIR) FRC
+	$(INS.file)
+
+$(ROOT_MONTECARLO_DACF_DIR)/%: $(OBJS_DIR)/% $(ROOT_MONTECARLO_DACF_DIR)
+	$(INS.file)
+
+$(ROOT_MONTECARLO_DRV_DIR)/%: $(OBJS_DIR)/% $(ROOT_MONTECARLO_DRV_DIR) FRC
+	$(INS.file)
+
+#
+#	Include common targets.
+#
+include $(UTSBASE)/sun4u/montecarlo/Makefile.rules
+include $(UTSBASE)/sun4u/Makefile.targ
